import GraphicSet from "../../js/GraphicSet.js";
import Setting from "../../js/Setting.js";

export default class Tileset
{
    constructor(setId)
    {
        this.setId = setId;
        this.image = new Image();
        this.image.src = Setting.TILESET_LOCATION + GraphicSet[this.setId].tileset;
        this.tiles = GraphicSet[this.setId].tiles;
        this.scale = GraphicSet[this.setId].scale;
    }

    getWidth()
    {
        return this.image.width * this.scale;
    }

    getHeight()
    {
        return this.image.height * this.scale;
    }

    getTileWidth()
    {
        return this.image.width / this.tiles * this.scale;
    }

    getTileHeight()
    {
        return this.image.height * this.scale;
    }
}